From 7d175f37fc79e16d7d108c991c6d8eb1330eb8fe Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Thu, 8 Sep 2022 12:03:00 +0200
Subject: [PATCH 1/5] toulouse_maelis: apply changes in wsdl used in tests
 (#69045)

---
 .../data/toulouse_maelis/ActivityService.wsdl | 1606 ++++++++++++-----
 tests/data/toulouse_maelis/FamilyService.wsdl |  748 +++++---
 .../data/toulouse_maelis/InvoiceService.wsdl  |    6 +-
 3 files changed, 1593 insertions(+), 767 deletions(-)

diff --git a/tests/data/toulouse_maelis/ActivityService.wsdl b/tests/data/toulouse_maelis/ActivityService.wsdl
index b67efdc7..056d3ea6 100644
--- a/tests/data/toulouse_maelis/ActivityService.wsdl
+++ b/tests/data/toulouse_maelis/ActivityService.wsdl
@@ -1,107 +1,190 @@
 <?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="activity.ws.maelis.sigec.com" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="ActivityService" targetNamespace="activity.ws.maelis.sigec.com">
   <wsdl:types>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0">
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.activity.ws.maelis.sigec.com" xmlns:ns1="activity.ws.maelis.sigec.com" targetNamespace="bean.persistence.activity.ws.maelis.sigec.com" version="1.0">
 
-  <xs:complexType name="weeklyCalendarActivityBean">
+  <xs:import namespace="activity.ws.maelis.sigec.com"/>
+
+  <xs:complexType name="getPersonScheduleRequestBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="yearCalendar" type="xs:int"/>
-      <xs:element minOccurs="0" name="weeklyCalendarStr" type="xs:string"/>
+      <xs:element name="idFam" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPers" type="xs:string"/>
+      <xs:element name="year" type="xs:int"/>
+      <xs:element name="month" type="xs:int"/>
+      <xs:element minOccurs="0" name="idAct" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="bean.persistence.family.ws.maelis.sigec.com" version="1.0">
+  <xs:complexType name="getPersonScheduleResultBean">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="personScheduleList" nillable="true" type="tns:personScheduleBean"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:complexType name="personInfoBean">
+  <xs:complexType name="personScheduleBean">
     <xs:sequence>
-      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="person" type="tns:personBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="activityScheduleList" nillable="true" type="tns:activityScheduleBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="personBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idPerson" type="xs:string"/>
       <xs:element minOccurs="0" name="lastname" type="xs:string"/>
       <xs:element minOccurs="0" name="firstname" type="xs:string"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.activity.ws.maelis.sigec.com" xmlns:ns3="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:ns1="activity.ws.maelis.sigec.com" targetNamespace="bean.persistence.activity.ws.maelis.sigec.com" version="1.0">
+  <xs:complexType name="activityScheduleBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="activity" type="tns:activityBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="unitScheduleList" nillable="true" type="tns:unitScheduleBean"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:import namespace="activity.ws.maelis.sigec.com"/>
+  <xs:complexType name="activityBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idAct" type="xs:string"/>
+      <xs:element minOccurs="0" name="label" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="unitScheduleBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="unit" type="tns:unitBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="dayInfoList" nillable="true" type="tns:dayInfoBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="unitBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
+      <xs:element minOccurs="0" name="label" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+  <xs:complexType name="dayInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="day" type="xs:dateTime"/>
+      <xs:element name="scheduledPresence" type="xs:int"/>
+      <xs:element name="realPresence" type="xs:int"/>
+      <xs:element minOccurs="0" name="absence" type="tns:absenceBean"/>
+      <xs:element form="qualified" minOccurs="0" name="status" type="ns1:dayInfoStatus"/>
+      <xs:element form="qualified" minOccurs="0" name="action" type="ns1:dayInfoAction"/>
+      <xs:element minOccurs="0" name="hasPlace" type="xs:boolean"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
+  <xs:complexType name="absenceBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="label" type="xs:string"/>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
 
-  <xs:complexType name="updateRealCalendarsRequestBean">
+  <xs:complexType name="resultCloseSubscribeBean">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" name="unitPersonDayInfoList" type="tns:unitPersonDayInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="calendarList" nillable="true" type="tns:calendarBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="idSubscribeList" nillable="true" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="unitPersonDayInfoBean">
+  <xs:complexType name="calendarBean">
     <xs:sequence>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element name="idAct" type="xs:string"/>
-      <xs:element name="idUni" type="xs:string"/>
-      <xs:element name="date" type="xs:dateTime"/>
-      <xs:element name="action" type="ns1:dayInfoAction"/>
-      <xs:element name="idPlace" type="xs:string"/>
+      <xs:element minOccurs="0" name="idCalendar" type="xs:string"/>
+      <xs:element minOccurs="0" name="year" type="xs:int"/>
+      <xs:element minOccurs="0" name="idActivity" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPerson" type="xs:string"/>
+      <xs:element minOccurs="0" name="weeklyPlanningAM" type="xs:string"/>
+      <xs:element minOccurs="0" name="weeklyPlanningPM" type="xs:string"/>
+      <xs:element minOccurs="0" name="yearPlanningAM" type="xs:string"/>
+      <xs:element minOccurs="0" name="yearPlanningPM" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="updateRealCalendarsResultBean">
+  <xs:complexType name="getFamilyChildsRequestBean">
     <xs:sequence>
-      <xs:element name="result" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoErrorBean"/>
+      <xs:element name="numFamily" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateStartBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEndBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateStartActivity" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEndActivity" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="activityNature" type="xs:string"/>
+      <xs:element minOccurs="0" name="yearSchool" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="unitPersonDayInfoErrorBean">
+  <xs:complexType name="getFamilyChildsResultBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="errorMessage" type="xs:string"/>
-      <xs:element minOccurs="0" name="unitPersonDayInfoBean" type="tns:unitPersonDayInfoBean"/>
+      <xs:element minOccurs="0" name="family" type="tns:familyBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childSubscribeActivityList" nillable="true" type="tns:personSubscribeActivityBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="readActivityPortailListResultBean">
+  <xs:complexType name="familyBean">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="activityUnitPlacePortailList" nillable="true" type="tns:activityUnitPlacePortailBean"/>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element name="number" type="xs:int"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="activityUnitPlacePortailBean">
+  <xs:complexType name="personSubscribeActivityBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="activityPortail" type="tns:activityPortailBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="openDayList" nillable="true" type="xs:dateTime"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPortailList" nillable="true" type="tns:unitPortailBean"/>
+      <xs:element minOccurs="0" name="child" type="tns:personInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorBlockSubscribeList" nillable="true" type="tns:indicatorBlockSubscribeBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeActivityPlaceList" nillable="true" type="tns:subscribeActivityPlaceBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="activityPortailBean">
+  <xs:complexType name="personInfoBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idAct" type="xs:string"/>
-      <xs:element minOccurs="0" name="label" type="xs:string"/>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="birthControl" type="xs:string"/>
-      <xs:element minOccurs="0" name="email" type="xs:string"/>
-      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
-      <xs:element minOccurs="0" name="calendarGeneration" type="ns1:activityCalendarGenerationBean"/>
-      <xs:element minOccurs="0" name="dateStartPubli" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEndPubli" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="schoolControl" type="xs:string"/>
-      <xs:element minOccurs="0" name="calendarMode" type="xs:string"/>
+      <xs:element minOccurs="0" name="idMaelis" type="xs:string"/>
+      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorBlockSubscribeBean">
+    <xs:sequence>
+      <xs:element name="code" type="xs:string"/>
+      <xs:element name="libelle" type="xs:string"/>
+      <xs:element name="canSubscribe" type="xs:boolean"/>
+      <xs:element name="isRequired" type="xs:boolean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="subscribeActivityPlaceBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idSubscribeActivity" type="xs:string"/>
+      <xs:element minOccurs="0" name="idSubscribePlace" type="xs:string"/>
+      <xs:element minOccurs="0" name="activity" type="tns:activity2Bean"/>
+      <xs:element minOccurs="0" name="unit" type="tns:unit2Bean"/>
+      <xs:element minOccurs="0" name="place" type="tns:placeBasketBean"/>
+      <xs:element minOccurs="0" name="dateStartSubscribePlace" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEndSubscribePlace" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="state" type="tns:stateBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="activity2Bean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idActivity" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle1" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle2" type="xs:string"/>
       <xs:element minOccurs="0" name="activityType" type="tns:activityTypeBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="weeklyCalendarActivityList" nillable="true" type="ns2:weeklyCalendarActivityBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="activityPeriodList" nillable="true" type="tns:activityPeriodCapacityBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="activityBusList" nillable="true" type="tns:activityUnitPlaceBean"/>
+      <xs:element minOccurs="0" name="typInsPortal" type="xs:string"/>
+      <xs:element minOccurs="0" name="paiementPortal" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="activityTypeBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
       <xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean"/>
